httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kaspar Brand <httpd-dev.2...@velox.ch>
Subject Re: [VOTE] Bundle apr/apu with 2.4.x
Date Sun, 05 Feb 2012 11:15:13 GMT
On 04.02.2012 20:50, William A. Rowe Jr. wrote:
> Kaspar, your vote is very confusing,

Sorry about that. Trying again - this is my vote:

>   [ ] +1: Bundle apr/apu w/ Apache httpd 2.4.x
>   [ ] +0: I don't care
>   [X] -1: Do not bundle apr/apu with Apache httpd 2.4.x

as I agree with Stefan's arguments:

> Provided that the --with-included-apr mechanism stays and the docs say 
> "download apr-x.y.tar.gz and extract to srclib/apr, download apr-util-
> y.z.tar.gz and extract to srclib/apr-util". I don't think that this 
> would be a significant problem for users.
>
> Having to do the full configure/make/make install dance would be a 
> different issue.

The only thing which is a bit unfortunate is the currrent naming of the
"--with-included-apr" configure option, IMO. What about changing that to:

  --with-srclib-apr     Use copies of APR/APR-Util in srclib directory

(and slightly adapt the wording introduced in r1232576)

Kaspar

Mime
View raw message